'-- Sample script demonstrates downloading files.
'-- before running script, edit the paths hardcoded in the lines marked with  '--PATH EDIT
'-- in order to have valid file paths for saving downloaded files and for writing a log file.

Dim Serv1, AFiles, FSO, TP, TSLog, Ret, s1, i2, sFil, sFilName, Pt1

'-- files to download. This downloads the home page and script function index page from jsware.net.
Serv1 = "www.jsware.net"
AFiles = Array("/", "/jsware/scrdex.php5")

Set FSO = CreateObject("Scripting.FileSystemObject")
  
   '-- If CheckSets did not quit by now then path settings are OK.
   '-- Create a log file to record server conversation results:
Set TSLog = FSO.CreateTextFile("C:\DownloadLog.txt", True)  '-- create log file.  '--PATH EDIT

   '-- create jsTP.Downloader object:
Set TP = WScript.CreateObject("jsHTTP2.Downloader", "DownLoader_")
 
    For i2 = 0 to UBound(AFiles)
            sFil = AFiles(i2)
            If sFil = "/" Then 
              sFilName = "index.html"
            Else
              Pt1 = InStrRev(sFil, "/")
              If Pt1 > 0 Then sFilName = Right(sFil, (len(sFil) - Pt1))
            End If   
            FileOp Serv1, sFil
            While TP.Busy = True
            Wend  
    Next        
    
        DropItAll

    '-- request file download from server and write log entry.
Sub FileOp(sServURL, sFile)  
  Dim LRet, sErr1
  On Error Resume Next
   LRet = TP.RequestFile(sServURL, sFile)
      If (LRet <> 0) Then
         TSLog.WriteLine "Feed from " & sServURL & ". Request failed. Reason:" & sFile & " Error desc.: " & TP.ErrorString
      Else
         TSLog.WriteLine "Feed from " & sServURL & ". RequestFile OK."
      End If
End Sub

   '-- Download finish event. Deal with downloaded file here. 
   '-- This event sub demonstrates some options. The parameters of the event return the server error code and description.
   '-- For a successful full download the error code is 200. Optionally, you can also retrieve the entire server response
   '-- header, which is the full text data sent by the server along with the file (or lack thereof).
   
Sub DownLoader_OnDownloadFinish(RespNum, RespString)
  Dim i2, s4, i5, Ret3
    On Error Resume Next      
       TSLog.Writeline "Server response: " & RespNum & " - " & RespString
       TSLog.writeline "Server Header: " & TP.ServerHeader
        If RespNum = 200 Then
         Ret3 = TP.WriteTextFile("C:\windows\desktop\Fol1\" & sFilName, True)  '-- PATH EDIT
         TSLog.writeline "Write file " & sFilName & " to disk - error code: " & Ret3 & " - " & TP.ErrorString
         TSLog.writeline " "
        End If       
End Sub

Sub DropItAll()
  '-- IMPORTANT!! Use ShutDown sub and set jsTP object to nothing before quitting.
  '-- Otherwise jsTP could remain running and stay connected to the Winsock service.
  On Error Resume Next
    TP.DisconnectNetwork
    WScript.DisconnectObject TP
    Set TP = Nothing
    TSLog.Close
    Set TSLog = Nothing
    Set FSO = Nothing
    MsgBox "Done."
    WScript.quit
End Sub
