'-- jsHTTP demo. This demo uses all of the methods in the FileOps object.
'-- This script was tested by dropping the file zlibwapi.dll onto it. Zlibwapi.dll
'-- is the free DLL used by jsHTTP2 to perform gzip operations. jsHTTP2.exe
'-- contains an embedded copy of zlibwapi.dll, writing out a copy to disk as
'-- needed. (A copy is written to the path of jsHTTP2 whenever the FileOps
'-- object is created -- if zlibwapi.dll is not already present. So, if you want
'-- to use zlibwapi.dll for this test you can just write a msall script first to
'-- create the object.


Dim sFilPath, sFolPath, FO, Pt1, Ret   's1, s2, i2, Ret, A1(), A2, Abmp, LenBZLib

'On Error Resume Next
  sFilPath = WScript.Arguments(0)
If Len(sFilPath) = 0 Then
   MsgBox "Drop a file onto script for this demo."
   WScript.Quit
End If

Set FO = CreateObject("jsHTTP2.FileOps")

Pt1 = InStrRev(sFilPath, "\")
sFolPath = Left(sFilPath,  Pt1)

  If UCase(right(sFilPath, 2)) = "GZ" Then
      Ret = FO.GUnZipFile(sFilPath, sFolPath, False)
      If Ret <> 0 Then 
          MsgBox "Error unzipping file." & vbCrLf & Ret & vbCrLf & FO.ErrorString
      End If
  Else
    Ret = FO.GZipFile(sFilPath, sFolPath & "NewZip.gz")
      If Ret <> 0 Then 
          MsgBox "Error zipping file." & vbCrLf & Ret & vbCrLf & FO.ErrorString
      End If
  End If


DropIt     

'----------------------------------------------------


Sub DropIt()
  Set FO = Nothing
  MsgBox "End of script.", 64
  WScript.Quit
End Sub
